CSVFormat.Predefined (Apache Commons CSV 1.14.1 API)
Description: declaration: package: org.apache.commons.csv, class: CSVFormat, enum: Predefined

Package org.apache.commons.csv

# Enum CSVFormat.Predefined

java.lang.Object
java.lang.Enum<CSVFormat.Predefined>
org.apache.commons.csv.CSVFormat.Predefined

All Implemented Interfaces:
  `Serializable`, `Comparable<CSVFormat.Predefined>`

Enclosing class:
  `CSVFormat`

public static enum CSVFormat.Predefined extends Enum<CSVFormat.Predefined>
Predefines formats.

Since:
  1.2

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `Default`
  The DEFAULT predefined format.
  `Excel`
  The EXCEL predefined format.
  `InformixUnload`
  The INFORMIX_UNLOAD predefined format.
  `InformixUnloadCsv`
  The INFORMIX_UNLOAD_CSV predefined format.
  `MongoDBCsv`
  The MONGODB_CSV predefined format.
  `MongoDBTsv`
  The MONGODB_TSV predefined format.
  `MySQL`
  The MYSQL predefined format.
  `Oracle`
  The ORACLE predefined format.
  `PostgreSQLCsv`
  The POSTGRESQL_CSV predefined format.
  `PostgreSQLText`
  The POSTGRESQL_TEXT predefined format.
  `RFC4180`
  The RFC4180 predefined format.
  `TDF`
  The TDF predefined format.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CSVFormat`
  `getFormat()`
  Gets the format.
  `static CSVFormat.Predefined`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static CSVFormat.Predefined[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### Default

    public static final CSVFormat.Predefined Default
    The DEFAULT predefined format.
    See Also:
      - `CSVFormat.DEFAULT`

  - ### Excel

    public static final CSVFormat.Predefined Excel
    The EXCEL predefined format.
    See Also:
      - `CSVFormat.EXCEL`

  - ### InformixUnload

    public static final CSVFormat.Predefined InformixUnload
    The INFORMIX_UNLOAD predefined format.
    Since:
      1.3
    See Also:
      - `CSVFormat.INFORMIX_UNLOAD`

  - ### InformixUnloadCsv

    public static final CSVFormat.Predefined InformixUnloadCsv
    The INFORMIX_UNLOAD_CSV predefined format.
    Since:
      1.3
    See Also:
      - `CSVFormat.INFORMIX_UNLOAD_CSV`

  - ### MongoDBCsv

    public static final CSVFormat.Predefined MongoDBCsv
    The MONGODB_CSV predefined format.
    Since:
      1.7
    See Also:
      - `CSVFormat.MONGODB_CSV`

  - ### MongoDBTsv

    public static final CSVFormat.Predefined MongoDBTsv
    The MONGODB_TSV predefined format.
    Since:
      1.7
    See Also:
      - `CSVFormat.MONGODB_TSV`

  - ### MySQL

    public static final CSVFormat.Predefined MySQL
    The MYSQL predefined format.
    See Also:
      - `CSVFormat.MYSQL`

  - ### Oracle

    public static final CSVFormat.Predefined Oracle
    The ORACLE predefined format.
    See Also:
      - `CSVFormat.ORACLE`

  - ### PostgreSQLCsv

    public static final CSVFormat.Predefined PostgreSQLCsv
    The POSTGRESQL_CSV predefined format.
    Since:
      1.5
    See Also:
      - `CSVFormat.POSTGRESQL_CSV`

  - ### PostgreSQLText

    public static final CSVFormat.Predefined PostgreSQLText
    The POSTGRESQL_TEXT predefined format.
    See Also:
      - `CSVFormat.POSTGRESQL_TEXT`

  - ### RFC4180

    public static final CSVFormat.Predefined RFC4180
    The RFC4180 predefined format.
    See Also:
      - `CSVFormat.RFC4180`

  - ### TDF

    public static final CSVFormat.Predefined TDF
    The TDF predefined format.
    See Also:
      - `CSVFormat.TDF`

- ## Method Details

  - ### values

    public static CSVFormat.Predefined[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CSVFormat.Predefined valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getFormat

    public CSVFormat getFormat()
    Gets the format.
    Returns:
      the format.